function ShowExtrasScreen()

    local moreInfoScreen = CreateOKScreen('MoreInfo', 'PopCurrentPopUpScreen');
    moreInfoScreen.textBox:SetText("More info:\n\n\n\n");
    local zOffset = 100;
    
    local highlightColor = "0xFFf2a5a5";
    --[[
    local moreAdventuresButton = MakeButton(512, 330, 380, 40);
    moreAdventuresButton:GetCaption():SetFont(INGAME_MENU_FONT);
    --moreAdventuresButton:GetCaption():SetHighlightColor(highlightColor);
    moreAdventuresButton:GetCaption():SetColor("0xFF666666");
    moreAdventuresButton:GetCaption():SetHighlightColor("0xFF666666");
    moreAdventuresButton:SetZ(20 + zOffset);
    
    moreAdventuresButton:AttachTo(moreInfoScreen);
    --moreAdventuresButton:SetActionSound("Menu_button_click");
    moreAdventuresButton:SetTitle("More adventures");
    --]]
    --local strategyGuideButton = MakeButton(512, 400, 360, 40);
    local strategyGuideButton = MakeButton(512, 330, 360, 40);
    strategyGuideButton:GetCaption():SetFont(INGAME_MENU_FONT);
    strategyGuideButton:GetCaption():SetHighlightColor(highlightColor);
    strategyGuideButton:SetZ(20 + zOffset);
    
    strategyGuideButton:AttachTo(moreInfoScreen);
    strategyGuideButton:SetActionSound("Menu_button_click");
    strategyGuideButton:SetTitle("Strategy Guide");
    strategyGuideButton:SetAction('GoToStrategyGuideLink');
    
    --local forumsButton = MakeButton(512, 470, 200, 40);
    local forumsButton = MakeButton(512, 400, 200, 40);
    forumsButton:GetCaption():SetFont(INGAME_MENU_FONT);
    forumsButton:GetCaption():SetHighlightColor(highlightColor);
    forumsButton:SetZ(20 + zOffset);
    
    forumsButton:AttachTo(moreInfoScreen);
    forumsButton:SetActionSound("Menu_button_click");
    forumsButton:SetTitle("Forums");
    forumsButton:SetAction('GoToForumLink');
    
    
    --More adventures (disabled)
    --Strategy guide
    --Forums

    PopUpScreensMgr:Push(moreInfoScreen);
end

--------------------------------------------------------------------------------
function GoToForumLink()

    if (APP:IsFullScreen())
    then
        APP:Minimize();
    end

    APP:OpenUrlFromFile('data/Links/ForumURL.txt')

end

--------------------------------------------------------------------------------
function GoToStrategyGuideLink()

    if (APP:IsFullScreen())
    then
        APP:Minimize();
    end

    APP:OpenUrlFromFile('data/Links/StrategyGuideURL.txt')

end
